#ifndef QLOPSETTINGSDIALOG_H
#define QLOPSETTINGSDIALOG_H

#include <QDialog>

namespace Ui {
class QLopSettingsDialog;
}
#include <QListWidgetItem>

class QLopSettingsItem : public QWidget
{
    Q_OBJECT
public:
    QLopSettingsItem(QWidget *parent = 0):QWidget(parent) {}
    ~QLopSettingsItem() {}
public slots:
    virtual void accept()=0;
};

class QLopSettingsDialog : public QDialog
{
    Q_OBJECT

public:
    explicit QLopSettingsDialog(QWidget *parent = 0);
    ~QLopSettingsDialog();

public slots:
    void changePage(QListWidgetItem *current, QListWidgetItem *previous);
    bool registerConfigEntry(QLopSettingsItem* configEntry, QIcon icon, QString text);
    void popConfigDialog(QLopSettingsItem* selectedConfigEntry=0);
protected:
    void changeEvent(QEvent *e);

private:
    Ui::QLopSettingsDialog *ui;
};

#endif // QLOPSETTINGSDIALOG_H
